Package org.apache.sling.repoinit.parser.operations

# Class LinePrefixCleaner

java.lang.Object
org.apache.sling.repoinit.parser.operations.LinePrefixCleaner

@ProviderType public class LinePrefixCleaner extends Object
Removes an prefix at the beginning of each line in a String. Used for embedding CND files in repoinit statements and hiding them from the Sling provisioning model parser which fails on statements like [sling:someNodetype] which are similar to provisioning model sections.

## Constructor Summary

Constructors
Constructor
Description
`LinePrefixCleaner()`

## Method Summary

Modifier and Type
Method
Description
`String`
`removePrefix(String prefix, String textBlock)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinePrefixCleaner

public LinePrefixCleaner()

## Method Details

### removePrefix

public String removePrefix(String prefix, String textBlock)